> ## Documentation Index
> Fetch the complete documentation index at: https://apidoc.mailercloud.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Reply Emails

> Use this API to return an array of all your active reply-to email addresses. You can filter and search reply emails with pagination.



## OpenAPI

````yaml /openapi-v1.json post /reply-emails/search
openapi: 3.1.0
info:
  title: Mailercloud Marketing API
  version: 1.0.0
  description: >-
    Campaigns, contacts, lists, segments, automations, and webhooks for the
    Mailercloud Marketing Platform.
servers:
  - url: https://cloudapi.mailercloud.com/v1
security:
  - apiKey: []
tags:
  - name: Campaigns
  - name: Contacts
  - name: Lists
  - name: Tags
  - name: Segments
  - name: Custom Properties
  - name: Senders
  - name: Templates
  - name: Automations
  - name: Webhooks
  - name: Webforms
  - name: Inbox Tracker
  - name: Account
paths:
  /reply-emails/search:
    post:
      tags:
        - Senders
      summary: List Reply Emails
      description: >-
        Use this API to return an array of all your active reply-to email
        addresses. You can filter and search reply emails with pagination.
      operationId: get-all-reply-emails-and-search-reply-emails
      parameters:
        - name: Content-Type
          in: header
          required: true
          description: Request body type
          schema:
            type: string
            default: application/json
      requestBody:
        required: true
        content:
          application/json:
            schema:
              description: ''
              type: object
              properties:
                limit:
                  type: number
                  description: |-
                    Maximum number of elements to return.

                    Maximum: 100
                    Minimum: 10
                  minimum: 10
                  maximum: 100
                page:
                  type: number
                  description: >-
                    You can retrieve a subset of records starting from the page
                    value you have specified. You can add a limit, which will
                    determine the number of records you can retrieve on a single
                    page.


                    Starts From: 1
                  minimum: 1
                search:
                  type: string
                  maxLength: 255
                  description: >-
                    Filter reply emails by email address. Partial match is
                    supported.
              required:
                - limit
                - page
            examples:
              example-1:
                value:
                  limit: 10
                  page: 1
                  search: support@
              example-2:
                value:
                  limit: 20
                  page: 1
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                description: ''
                type: object
                properties:
                  count:
                    type: number
                    description: Total number of reply emails matching the search criteria
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        reply_email:
                          type: string
                          description: Reply-to email address
                        status:
                          type: string
                          description: 'Reply email status. Values: Verified, Pending'
              examples:
                example-1:
                  value:
                    count: 2
                    data:
                      - id: ixss
                        reply_email: reply1@example.com
                        status: Verified
                      - id: yFXf
                        reply_email: support@example.com
                        status: Verified
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                description: ''
                type: object
                properties:
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        field:
                          type: string
                          minLength: 1
                        message:
                          type: string
                          minLength: 1
              examples:
                example-1:
                  value:
                    errors:
                      - field: limit
                        message: limit must be at least 10
                example-2:
                  value:
                    errors:
                      - field: page
                        message: page is required
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                description: ''
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      field:
                        type: string
                        minLength: 1
                      message:
                        type: string
                        minLength: 1
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        field:
                          type: string
                        message:
                          type: string
              examples:
                example-1:
                  value:
                    errors:
                      - field: ''
                        message: Authorization failed
components:
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        Your Mailercloud API key (plain text, no Bearer prefix). Create keys in
        Settings → API.

````